VeighNa量化社区
你的开源社区量化交易平台
Member
avatar
加入于:
帖子: 9
声望: 2

更新vnstation时一直出错,有没有哪位能帮忙看一下呢?感谢!!!

开始更新:vnstation
更新失败:vnstation
b'ERROR: Exception:\r\nTraceback (most recent call last):\r\n File "c:\vnstudio\lib\site-packages\pip\_vendor\urllib3\response.py", line 438, in _error_catcher\r\n yield\r\n File "c:\vnstudio\lib\site-packages\pip\_vendor\urllib3\response.py", line 519, in read\r\n data = self._fp.read(amt) if not fp_closed else b""\r\n File "c:\vnstudio\lib\site-packages\pip\_vendor\cachecontrol\filewrapper.py", line 62, in read\r\n data = self.fp.read(amt)\r\n File "c:\vnstudio\lib\http\client.py", line 447, in read\r\n n = self.readinto(b)\r\n File "c:\vnstudio\lib\http\client.py", line 491, in readinto\r\n n = self.fp.readinto(b)\r\n File "c:\vnstudio\lib\socket.py", line 589, in readinto\r\n return self._sock.recv_into(b)\r\n File "c:\vnstudio\lib\ssl.py", line 1052, in recv_into\r\n return self.read(nbytes, buffer)\r\n File "c:\vnstudio\lib\ssl.py", line 911, in read\r\n return self._sslobj.read(len, buffer)\r\nsocket.timeout: The read operation timed out\r\n\r\nDuring handling of the above exception, another exception occurred:\r\n\r\nTraceback (most recent call last):\r\n File "c:\vnstudio\lib\site-packages\pip\_internal\cli\base_command.py", line 224, in _main\r\n status = self.run(options, args)\r\n File "c:\vnstudio\lib\site-packages\pip\_internal\cli\req_command.py", line 180, in wrapper\r\n return func(self, options, args)\r\n File "c:\vnstudio\lib\site-packages\pip\_internal\commands\install.py", line 321, in run\r\n reqs, check_supported_wheels=not options.target_dir\r\n File "c:\vnstudio\lib\site-packages\pip\_internal\resolution\resolvelib\resolver.py", line 122, in resolve\r\n requirements, max_rounds=try_to_avoid_resolution_too_deep,\r\n File "c:\vnstudio\lib\site-packages\pip\_vendor\resolvelib\resolvers.py", line 445, in resolve\r\n state = resolution.resolve(requirements, max_rounds=max_rounds)\r\n File "c:\vnstudio\lib\site-packages\pip\_vendor\resolvelib\resolvers.py", line 339, in resolve\r\n failure_causes = self._attempt_to_pin_criterion(name, criterion)\r\n File "c:\vnstudio\lib\site-packages\pip\_vendor\resolvelib\resolvers.py", line 207, in _attempt_to_pin_criterion\r\n criteria = self._get_criteria_to_update(candidate)\r\n File "c:\vnstudio\lib\site-packages\pip\_vendor\resolvelib\resolvers.py", line 198, in _get_criteria_to_update\r\n for r in self._p.get_dependencies(candidate):\r\n File "c:\vnstudio\lib\site-packages\pip\_internal\resolution\resolvelib\provider.py", line 172, in get_dependencies\r\n for r in candidate.iter_dependencies(with_requires)\r\n File "c:\vnstudio\lib\site-packages\pip\_internal\resolution\resolvelib\provider.py", line 171, in <listcomp>\r\n r\r\n File "c:\vnstudio\lib\site-packages\pip\_internal\resolution\resolvelib\candidates.py", line 257, in iter_dependencies\r\n requires = self.dist.requires() if with_requires else ()\r\n File "c:\vnstudio\lib\site-packages\pip\_internal\resolution\resolvelib\candidates.py", line 239, in dist\r\n self._prepare()\r\n File "c:\vnstudio\lib\site-packages\pip\_internal\resolution\resolvelib\candidates.py", line 226, in _prepare\r\n dist = self._prepare_distribution()\r\n File "c:\vnstudio\lib\site-packages\pip\_internal\resolution\resolvelib\candidates.py", line 319, in _prepare_distribution\r\n self._ireq, parallel_builds=True,\r\n File "c:\vnstudio\lib\site-packages\pip\_internal\operations\prepare.py", line 480, in prepare_linked_requirement\r\n return self._prepare_linked_requirement(req, parallel_builds)\r\n File "c:\vnstudio\lib\site-packages\pip\_internal\operations\prepare.py", line 505, in _prepare_linked_requirement\r\n self.download_dir, hashes,\r\n File "c:\vnstudio\lib\site-packages\pip\_internal\operations\prepare.py", line 257, in unpack_url\r\n hashes=hashes,\r\n File "c:\vnstudio\lib\site-packages\pip\_internal\operations\prepare.py", line 130, in get_http_url\r\n from_path, content_type = download(link, temp_dir.path)\r\n File "c:\vnstudio\lib\site-packages\pip\_internal\network\download.py", line 163, in call\r\n for chunk in chunks:\r\n File "c:\vnstudio\lib\site-packages\pip\_internal\cli\progress_bars.py", line 168, in iter\r\n for x in it:\r\n File "c:\vnstudio\lib\site-packages\pip\_internal\network\utils.py", line 88, in response_chunks\r\n decode_content=False,\r\n File "c:\vnstudio\lib\site-packages\pip\_vendor\urllib3\response.py", line 576, in stream\r\n data = self.read(amt=amt, decode_content=decode_content)\r\n File "c:\vnstudio\lib\site-packages\pip\_vendor\urllib3\response.py", line 541, in read\r\n raise IncompleteRead(self._fp_bytes_read, self.length_remaining)\r\n File "c:\vnstudio\lib\contextlib.py", line 130, in exit__\r\n self.gen.throw(type, value, traceback)\r\n File "c:\vnstudio\lib\site-packages\pip\_vendor\urllib3\response.py", line 443, in _error_catcher\r\n raise ReadTimeoutError(self._pool, None, "Read timed out.")\r\npip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host=\'files.pythonhosted.org\', port=443): Read timed out.\r\n'

部分包更新失败!

Administrator
avatar
加入于:
帖子: 4503
声望: 322

网络问题,你那边的机器连不上files.pythonhosted.org这个Python官方的代码仓库,可能需要翻墙或者其他处理。

不行就卸了装个新的VNStudio-2.1.8吧

Member
avatar
加入于:
帖子: 9
声望: 2

卸了重装可以了,感谢!!!

Member
avatar
加入于:
帖子: 6
声望: 0

我也遇到了更新失败的问题:更新失败:vnstation
b"ERROR: Could not install packages due to an EnvironmentError: [WinError 5] Access is denied: 'd:\\vnstudio\\Lib\\site-packages\\PyQt5\\QAxContainer.pyd'\r\nConsider using the --user option or check the permissions.\r\n\r\n"
部分包更新失败!

Member
avatar
加入于:
帖子: 4764
声望: 289

应该是用户权限问题,试试用管理员身份运行

© 2015-2022 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号

沪公网安备 31011502017034号

【用户协议】
【隐私政策】
【免责条款】